Skip to main content
Platform O&M/Automated O&M/XML Hook
PUTXML HookSince 5.2.0SynchronousAuth Required

UpdateVmUserDefinedXmlHookScript

UpdateVmUserDefinedXmlHookScript

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updatevmuserdefinedxmlhookscriptObjectRequired

    updatevmuserdefinedxmlhookscript request body object.

    • uuidStringRequired

      The XML Hook UUID.

    • nameString

      Optional. The XML Hook name.

    • descriptionString

      Optional. The detailed information of the XML Hook.

    • hookScriptString

      Optional. The XML Hook content.

    • startupStrategyString

      Optional. Whether reboot associated VM instances immediately.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/vm-instances/xml-hook-script

/zstack/v1/vm-instances/xml-hook-script

Operation ID

UpdateVmUserDefinedXmlHookScript

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/xml-hook-script' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevmuserdefinedxmlhookscript":{"uuid":"<uuid>","name":"<name>","description":"<description>","hookScript":"<hookScript>","startupStrategy":"<startupStrategy>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history